// Code generated by protoc-gen-go. DO NOT EDIT.
// source: server.proto

package looprpc

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

//*
//This enum defines the protocol versions that clients may adhere to. Note that
//this is not a flagged enum. If a particular protocol version adds a feature,
//then in general all the preceding features are also supported. Exception to this
//is when features get deprecated.
type ProtocolVersion int32

const (
	/// No protocol version reported at all.
	ProtocolVersion_LEGACY ProtocolVersion = 0
	/// Client may attempt to send the loop out payment in multiple parts.
	ProtocolVersion_MULTI_LOOP_OUT ProtocolVersion = 1
	//*
	//Loop will use native segwit (P2WSH) htlcs by default, while externally
	//published htlcs may use native (P2WSH) or nested (NP2WSH) segwit as well.
	ProtocolVersion_NATIVE_SEGWIT_LOOP_IN ProtocolVersion = 2
	//
	//Once the on chain loop out htlc is confirmed, the client can push the swap
	//preimage to the server to speed up claim of their off chain htlc (acquiring
	//incoming liquidity more quickly than if the server waited for the on chain
	//claim tx).
	ProtocolVersion_PREIMAGE_PUSH_LOOP_OUT ProtocolVersion = 3
	// The client will propose a cltv expiry height for loop out.
	ProtocolVersion_USER_EXPIRY_LOOP_OUT ProtocolVersion = 4
	// The client will use the new v2 HTLC scripts.
	ProtocolVersion_HTLC_V2 ProtocolVersion = 5
	// The client creates a probe invoice so that the server can perform a
	// multi-path probe.
	ProtocolVersion_MULTI_LOOP_IN ProtocolVersion = 6
	// The client supports loop out swap cancelation.
	ProtocolVersion_LOOP_OUT_CANCEL ProtocolVersion = 7
)

var ProtocolVersion_name = map[int32]string{
	0: "LEGACY",
	1: "MULTI_LOOP_OUT",
	2: "NATIVE_SEGWIT_LOOP_IN",
	3: "PREIMAGE_PUSH_LOOP_OUT",
	4: "USER_EXPIRY_LOOP_OUT",
	5: "HTLC_V2",
	6: "MULTI_LOOP_IN",
	7: "LOOP_OUT_CANCEL",
}

var ProtocolVersion_value = map[string]int32{
	"LEGACY":                 0,
	"MULTI_LOOP_OUT":         1,
	"NATIVE_SEGWIT_LOOP_IN":  2,
	"PREIMAGE_PUSH_LOOP_OUT": 3,
	"USER_EXPIRY_LOOP_OUT":   4,
	"HTLC_V2":                5,
	"MULTI_LOOP_IN":          6,
	"LOOP_OUT_CANCEL":        7,
}

func (x ProtocolVersion) String() string {
	return proto.EnumName(ProtocolVersion_name, int32(x))
}

func (ProtocolVersion) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{0}
}

// ServerSwapState is an enum which represents all the states a swap may have
// from the server's perspective.
type ServerSwapState int32

const (
	// The server has created the swap.
	ServerSwapState_INITIATED ServerSwapState = 0
	// The server has published the loop out on chain htlc.
	ServerSwapState_HTLC_PUBLISHED ServerSwapState = 1
	// The swap completed successfully.
	ServerSwapState_SUCCESS ServerSwapState = 2
	//
	//The swap failed for a reason that is unknown to the server, this is only
	//set for older swaps.
	ServerSwapState_FAILED_UNKNOWN ServerSwapState = 3
	// No htlc was confirmed in time for the loop in swap to complete.
	ServerSwapState_FAILED_NO_HTLC ServerSwapState = 4
	// A loop in htlc confirmed on chain, but it did not have the correct value.
	ServerSwapState_FAILED_INVALID_HTLC_AMOUNT ServerSwapState = 5
	//
	//We did not succeed in completing the loop in off chain payment before the
	//timeout.
	ServerSwapState_FAILED_OFF_CHAIN_TIMEOUT ServerSwapState = 6
	// The on chain timeout was claimed.
	ServerSwapState_FAILED_TIMEOUT ServerSwapState = 7
	//
	//The server could not publish the loop out on chain htlc before the deadline
	//provided.
	ServerSwapState_FAILED_SWAP_DEADLINE ServerSwapState = 8
	// The server could not publish the loop out on chain htlc.
	ServerSwapState_FAILED_HTLC_PUBLICATION ServerSwapState = 9
	// The server has published the loop out on chain timeout tx.
	ServerSwapState_TIMEOUT_PUBLISHED ServerSwapState = 10
	// The swap has failed for unknown reasons, it will not be completed.
	ServerSwapState_UNEXPECTED_FAILURE ServerSwapState = 11
	// The swap htlc has confirmed on chain.
	ServerSwapState_HTLC_CONFIRMED ServerSwapState = 12
	// The client canceled the swap because they could not route the prepay.
	ServerSwapState_CLIENT_PREPAY_CANCEL ServerSwapState = 13
	// The client canceled the swap because they could not route the swap
	// payment.
	ServerSwapState_CLIENT_INVOICE_CANCEL ServerSwapState = 14
)

var ServerSwapState_name = map[int32]string{
	0:  "INITIATED",
	1:  "HTLC_PUBLISHED",
	2:  "SUCCESS",
	3:  "FAILED_UNKNOWN",
	4:  "FAILED_NO_HTLC",
	5:  "FAILED_INVALID_HTLC_AMOUNT",
	6:  "FAILED_OFF_CHAIN_TIMEOUT",
	7:  "FAILED_TIMEOUT",
	8:  "FAILED_SWAP_DEADLINE",
	9:  "FAILED_HTLC_PUBLICATION",
	10: "TIMEOUT_PUBLISHED",
	11: "UNEXPECTED_FAILURE",
	12: "HTLC_CONFIRMED",
	13: "CLIENT_PREPAY_CANCEL",
	14: "CLIENT_INVOICE_CANCEL",
}

var ServerSwapState_value = map[string]int32{
	"INITIATED":                  0,
	"HTLC_PUBLISHED":             1,
	"SUCCESS":                    2,
	"FAILED_UNKNOWN":             3,
	"FAILED_NO_HTLC":             4,
	"FAILED_INVALID_HTLC_AMOUNT": 5,
	"FAILED_OFF_CHAIN_TIMEOUT":   6,
	"FAILED_TIMEOUT":             7,
	"FAILED_SWAP_DEADLINE":       8,
	"FAILED_HTLC_PUBLICATION":    9,
	"TIMEOUT_PUBLISHED":          10,
	"UNEXPECTED_FAILURE":         11,
	"HTLC_CONFIRMED":             12,
	"CLIENT_PREPAY_CANCEL":       13,
	"CLIENT_INVOICE_CANCEL":      14,
}

func (x ServerSwapState) String() string {
	return proto.EnumName(ServerSwapState_name, int32(x))
}

func (ServerSwapState) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{1}
}

type RoutePaymentType int32

const (
	// No reason, used to distinguish from the default value.
	RoutePaymentType_UNKNOWN RoutePaymentType = 0
	// Prepay route indicates that the swap was canceled because the client
	// could not find a route to the server for the prepay.
	RoutePaymentType_PREPAY_ROUTE RoutePaymentType = 1
	// Invoice route indicates that the swap was canceled because the client
	// could not find a route to the server for the swap invoice.
	RoutePaymentType_INVOICE_ROUTE RoutePaymentType = 2
)

var RoutePaymentType_name = map[int32]string{
	0: "UNKNOWN",
	1: "PREPAY_ROUTE",
	2: "INVOICE_ROUTE",
}

var RoutePaymentType_value = map[string]int32{
	"UNKNOWN":       0,
	"PREPAY_ROUTE":  1,
	"INVOICE_ROUTE": 2,
}

func (x RoutePaymentType) String() string {
	return proto.EnumName(RoutePaymentType_name, int32(x))
}

func (RoutePaymentType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{2}
}

// PaymentFailureReason describes the reason that a payment failed. These
// values are copied directly from lnd.
type PaymentFailureReason int32

const (
	//
	//Payment isn't failed (yet).
	PaymentFailureReason_FAILURE_REASON_NONE PaymentFailureReason = 0
	//
	//There are more routes to try, but the payment timeout was exceeded.
	PaymentFailureReason_FAILURE_REASON_TIMEOUT PaymentFailureReason = 1
	//
	//All possible routes were tried and failed permanently. Or were no
	//routes to the destination at all.
	PaymentFailureReason_FAILURE_REASON_NO_ROUTE PaymentFailureReason = 2
	//
	//A non-recoverable error has occured.
	PaymentFailureReason_FAILURE_REASON_ERROR PaymentFailureReason = 3
	//
	//Payment details incorrect (unknown hash, invalid amt or
	//invalid final cltv delta)
	PaymentFailureReason_FAILURE_REASON_INCORRECT_PAYMENT_DETAILS PaymentFailureReason = 4
	//
	//Insufficient local balance.
	PaymentFailureReason_FAILURE_REASON_INSUFFICIENT_BALANCE PaymentFailureReason = 5
)

var PaymentFailureReason_name = map[int32]string{
	0: "FAILURE_REASON_NONE",
	1: "FAILURE_REASON_TIMEOUT",
	2: "FAILURE_REASON_NO_ROUTE",
	3: "FAILURE_REASON_ERROR",
	4: "FAILURE_REASON_INCORRECT_PAYMENT_DETAILS",
	5: "FAILURE_REASON_INSUFFICIENT_BALANCE",
}

var PaymentFailureReason_value = map[string]int32{
	"FAILURE_REASON_NONE":                      0,
	"FAILURE_REASON_TIMEOUT":                   1,
	"FAILURE_REASON_NO_ROUTE":                  2,
	"FAILURE_REASON_ERROR":                     3,
	"FAILURE_REASON_INCORRECT_PAYMENT_DETAILS": 4,
	"FAILURE_REASON_INSUFFICIENT_BALANCE":      5,
}

func (x PaymentFailureReason) String() string {
	return proto.EnumName(PaymentFailureReason_name, int32(x))
}

func (PaymentFailureReason) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{3}
}

type ServerLoopOutRequest struct {
	ReceiverKey []byte `protobuf:"bytes,1,opt,name=receiver_key,json=receiverKey,proto3" json:"receiver_key,omitempty"`
	SwapHash    []byte `protobuf:"bytes,2,opt,name=swap_hash,json=swapHash,proto3" json:"swap_hash,omitempty"`
	Amt         uint64 `protobuf:"varint,3,opt,name=amt,proto3" json:"amt,omitempty"`
	/// The unix time in seconds we want the on-chain swap to be published by.
	SwapPublicationDeadline int64 `protobuf:"varint,4,opt,name=swap_publication_deadline,json=swapPublicationDeadline,proto3" json:"swap_publication_deadline,omitempty"`
	/// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,5,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	// The requested absolute block height of the on-chain htlc. This is
	// subjected to min and max constraints as reported in the LoopOutTerms
	// response.
	Expiry int32 `protobuf:"varint,6,opt,name=expiry,proto3" json:"expiry,omitempty"`
	// The user agent string that identifies the software running on the user's
	// side. This can be changed in the user's client software but it _SHOULD_
	// conform to the following pattern:
	//    Agent-Name/semver-version(/additional-info)
	// Examples:
	//    loopd/v0.10.0-beta/commit=3b635821
	//    litd/v0.2.0-alpha/commit=326d754
	UserAgent            string   `protobuf:"bytes,7,opt,name=user_agent,json=userAgent,proto3" json:"user_agent,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutRequest) Reset()         { *m = ServerLoopOutRequest{} }
func (m *ServerLoopOutRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutRequest) ProtoMessage()    {}
func (*ServerLoopOutRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{0}
}

func (m *ServerLoopOutRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutRequest.Unmarshal(m, b)
}
func (m *ServerLoopOutRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutRequest.Merge(m, src)
}
func (m *ServerLoopOutRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutRequest.Size(m)
}
func (m *ServerLoopOutRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutRequest proto.InternalMessageInfo

func (m *ServerLoopOutRequest) GetReceiverKey() []byte {
	if m != nil {
		return m.ReceiverKey
	}
	return nil
}

func (m *ServerLoopOutRequest) GetSwapHash() []byte {
	if m != nil {
		return m.SwapHash
	}
	return nil
}

func (m *ServerLoopOutRequest) GetAmt() uint64 {
	if m != nil {
		return m.Amt
	}
	return 0
}

func (m *ServerLoopOutRequest) GetSwapPublicationDeadline() int64 {
	if m != nil {
		return m.SwapPublicationDeadline
	}
	return 0
}

func (m *ServerLoopOutRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *ServerLoopOutRequest) GetExpiry() int32 {
	if m != nil {
		return m.Expiry
	}
	return 0
}

func (m *ServerLoopOutRequest) GetUserAgent() string {
	if m != nil {
		return m.UserAgent
	}
	return ""
}

type ServerLoopOutResponse struct {
	SwapInvoice   string `protobuf:"bytes,1,opt,name=swap_invoice,json=swapInvoice,proto3" json:"swap_invoice,omitempty"`
	PrepayInvoice string `protobuf:"bytes,2,opt,name=prepay_invoice,json=prepayInvoice,proto3" json:"prepay_invoice,omitempty"`
	SenderKey     []byte `protobuf:"bytes,3,opt,name=sender_key,json=senderKey,proto3" json:"sender_key,omitempty"`
	// The height at which the on-chain htlc will expire. Deprecated because the
	// field is already specified in the request.
	Expiry int32 `protobuf:"varint,4,opt,name=expiry,proto3" json:"expiry,omitempty"` // Deprecated: Do not use.
	// A human-readable message from the loop server.
	ServerMessage        string   `protobuf:"bytes,5,opt,name=server_message,json=serverMessage,proto3" json:"server_message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutResponse) Reset()         { *m = ServerLoopOutResponse{} }
func (m *ServerLoopOutResponse) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutResponse) ProtoMessage()    {}
func (*ServerLoopOutResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{1}
}

func (m *ServerLoopOutResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutResponse.Unmarshal(m, b)
}
func (m *ServerLoopOutResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutResponse.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutResponse.Merge(m, src)
}
func (m *ServerLoopOutResponse) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutResponse.Size(m)
}
func (m *ServerLoopOutResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutResponse proto.InternalMessageInfo

func (m *ServerLoopOutResponse) GetSwapInvoice() string {
	if m != nil {
		return m.SwapInvoice
	}
	return ""
}

func (m *ServerLoopOutResponse) GetPrepayInvoice() string {
	if m != nil {
		return m.PrepayInvoice
	}
	return ""
}

func (m *ServerLoopOutResponse) GetSenderKey() []byte {
	if m != nil {
		return m.SenderKey
	}
	return nil
}

// Deprecated: Do not use.
func (m *ServerLoopOutResponse) GetExpiry() int32 {
	if m != nil {
		return m.Expiry
	}
	return 0
}

func (m *ServerLoopOutResponse) GetServerMessage() string {
	if m != nil {
		return m.ServerMessage
	}
	return ""
}

type ServerLoopOutQuoteRequest struct {
	/// The swap amount. If zero, a quote for a maximum amt swap will be given.
	Amt uint64 `protobuf:"varint,1,opt,name=amt,proto3" json:"amt,omitempty"`
	/// The unix time in seconds we want the on-chain swap to be published by.
	SwapPublicationDeadline int64 `protobuf:"varint,2,opt,name=swap_publication_deadline,json=swapPublicationDeadline,proto3" json:"swap_publication_deadline,omitempty"`
	/// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,3,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	// The requested absolute block height of the on-chain htlc. This is
	// subjected to min and max constraints as reported in the LoopOutTerms
	// response.
	Expiry               int32    `protobuf:"varint,4,opt,name=expiry,proto3" json:"expiry,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutQuoteRequest) Reset()         { *m = ServerLoopOutQuoteRequest{} }
func (m *ServerLoopOutQuoteRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutQuoteRequest) ProtoMessage()    {}
func (*ServerLoopOutQuoteRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{2}
}

func (m *ServerLoopOutQuoteRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutQuoteRequest.Unmarshal(m, b)
}
func (m *ServerLoopOutQuoteRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutQuoteRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutQuoteRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutQuoteRequest.Merge(m, src)
}
func (m *ServerLoopOutQuoteRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutQuoteRequest.Size(m)
}
func (m *ServerLoopOutQuoteRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutQuoteRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutQuoteRequest proto.InternalMessageInfo

func (m *ServerLoopOutQuoteRequest) GetAmt() uint64 {
	if m != nil {
		return m.Amt
	}
	return 0
}

func (m *ServerLoopOutQuoteRequest) GetSwapPublicationDeadline() int64 {
	if m != nil {
		return m.SwapPublicationDeadline
	}
	return 0
}

func (m *ServerLoopOutQuoteRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *ServerLoopOutQuoteRequest) GetExpiry() int32 {
	if m != nil {
		return m.Expiry
	}
	return 0
}

type ServerLoopOutQuote struct {
	SwapPaymentDest string `protobuf:"bytes,1,opt,name=swap_payment_dest,json=swapPaymentDest,proto3" json:"swap_payment_dest,omitempty"`
	/// The total estimated swap fee given the quote amt.
	SwapFee int64 `protobuf:"varint,2,opt,name=swap_fee,json=swapFee,proto3" json:"swap_fee,omitempty"`
	/// Deprecated, total swap fee given quote amt is calculated in swap_fee.
	SwapFeeRate   int64  `protobuf:"varint,3,opt,name=swap_fee_rate,json=swapFeeRate,proto3" json:"swap_fee_rate,omitempty"` // Deprecated: Do not use.
	PrepayAmt     uint64 `protobuf:"varint,4,opt,name=prepay_amt,json=prepayAmt,proto3" json:"prepay_amt,omitempty"`
	MinSwapAmount uint64 `protobuf:"varint,5,opt,name=min_swap_amount,json=minSwapAmount,proto3" json:"min_swap_amount,omitempty"` // Deprecated: Do not use.
	MaxSwapAmount uint64 `protobuf:"varint,6,opt,name=max_swap_amount,json=maxSwapAmount,proto3" json:"max_swap_amount,omitempty"` // Deprecated: Do not use.
	// The server-proposed cltv delta of the on-chain htlc. Deprecated because
	// the field is already specified in the request.
	CltvDelta            int32    `protobuf:"varint,7,opt,name=cltv_delta,json=cltvDelta,proto3" json:"cltv_delta,omitempty"` // Deprecated: Do not use.
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutQuote) Reset()         { *m = ServerLoopOutQuote{} }
func (m *ServerLoopOutQuote) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutQuote) ProtoMessage()    {}
func (*ServerLoopOutQuote) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{3}
}

func (m *ServerLoopOutQuote) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutQuote.Unmarshal(m, b)
}
func (m *ServerLoopOutQuote) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutQuote.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutQuote) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutQuote.Merge(m, src)
}
func (m *ServerLoopOutQuote) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutQuote.Size(m)
}
func (m *ServerLoopOutQuote) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutQuote.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutQuote proto.InternalMessageInfo

func (m *ServerLoopOutQuote) GetSwapPaymentDest() string {
	if m != nil {
		return m.SwapPaymentDest
	}
	return ""
}

func (m *ServerLoopOutQuote) GetSwapFee() int64 {
	if m != nil {
		return m.SwapFee
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopOutQuote) GetSwapFeeRate() int64 {
	if m != nil {
		return m.SwapFeeRate
	}
	return 0
}

func (m *ServerLoopOutQuote) GetPrepayAmt() uint64 {
	if m != nil {
		return m.PrepayAmt
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopOutQuote) GetMinSwapAmount() uint64 {
	if m != nil {
		return m.MinSwapAmount
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopOutQuote) GetMaxSwapAmount() uint64 {
	if m != nil {
		return m.MaxSwapAmount
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopOutQuote) GetCltvDelta() int32 {
	if m != nil {
		return m.CltvDelta
	}
	return 0
}

type ServerLoopOutTermsRequest struct {
	/// The protocol version that the client adheres to.
	ProtocolVersion      ProtocolVersion `protobuf:"varint,1,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *ServerLoopOutTermsRequest) Reset()         { *m = ServerLoopOutTermsRequest{} }
func (m *ServerLoopOutTermsRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutTermsRequest) ProtoMessage()    {}
func (*ServerLoopOutTermsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{4}
}

func (m *ServerLoopOutTermsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutTermsRequest.Unmarshal(m, b)
}
func (m *ServerLoopOutTermsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutTermsRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutTermsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutTermsRequest.Merge(m, src)
}
func (m *ServerLoopOutTermsRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutTermsRequest.Size(m)
}
func (m *ServerLoopOutTermsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutTermsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutTermsRequest proto.InternalMessageInfo

func (m *ServerLoopOutTermsRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

type ServerLoopOutTerms struct {
	MinSwapAmount uint64 `protobuf:"varint,1,opt,name=min_swap_amount,json=minSwapAmount,proto3" json:"min_swap_amount,omitempty"`
	MaxSwapAmount uint64 `protobuf:"varint,2,opt,name=max_swap_amount,json=maxSwapAmount,proto3" json:"max_swap_amount,omitempty"`
	// The minimally accepted cltv delta of the on-chain htlc.
	MinCltvDelta int32 `protobuf:"varint,3,opt,name=min_cltv_delta,json=minCltvDelta,proto3" json:"min_cltv_delta,omitempty"`
	// The maximally accepted cltv delta of the on-chain htlc.
	MaxCltvDelta         int32    `protobuf:"varint,4,opt,name=max_cltv_delta,json=maxCltvDelta,proto3" json:"max_cltv_delta,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutTerms) Reset()         { *m = ServerLoopOutTerms{} }
func (m *ServerLoopOutTerms) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutTerms) ProtoMessage()    {}
func (*ServerLoopOutTerms) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{5}
}

func (m *ServerLoopOutTerms) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutTerms.Unmarshal(m, b)
}
func (m *ServerLoopOutTerms) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutTerms.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutTerms) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutTerms.Merge(m, src)
}
func (m *ServerLoopOutTerms) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutTerms.Size(m)
}
func (m *ServerLoopOutTerms) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutTerms.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutTerms proto.InternalMessageInfo

func (m *ServerLoopOutTerms) GetMinSwapAmount() uint64 {
	if m != nil {
		return m.MinSwapAmount
	}
	return 0
}

func (m *ServerLoopOutTerms) GetMaxSwapAmount() uint64 {
	if m != nil {
		return m.MaxSwapAmount
	}
	return 0
}

func (m *ServerLoopOutTerms) GetMinCltvDelta() int32 {
	if m != nil {
		return m.MinCltvDelta
	}
	return 0
}

func (m *ServerLoopOutTerms) GetMaxCltvDelta() int32 {
	if m != nil {
		return m.MaxCltvDelta
	}
	return 0
}

type ServerLoopInRequest struct {
	SenderKey   []byte `protobuf:"bytes,1,opt,name=sender_key,json=senderKey,proto3" json:"sender_key,omitempty"`
	SwapHash    []byte `protobuf:"bytes,2,opt,name=swap_hash,json=swapHash,proto3" json:"swap_hash,omitempty"`
	Amt         uint64 `protobuf:"varint,3,opt,name=amt,proto3" json:"amt,omitempty"`
	SwapInvoice string `protobuf:"bytes,4,opt,name=swap_invoice,json=swapInvoice,proto3" json:"swap_invoice,omitempty"`
	LastHop     []byte `protobuf:"bytes,5,opt,name=last_hop,json=lastHop,proto3" json:"last_hop,omitempty"`
	/// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,6,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	ProbeInvoice    string          `protobuf:"bytes,7,opt,name=probe_invoice,json=probeInvoice,proto3" json:"probe_invoice,omitempty"`
	// The user agent string that identifies the software running on the user's
	// side. This can be changed in the user's client software but it _SHOULD_
	// conform to the following pattern:
	//    Agent-Name/semver-version(/additional-info)
	// Examples:
	//    loopd/v0.10.0-beta/commit=3b635821
	//    litd/v0.2.0-alpha/commit=326d754
	UserAgent            string   `protobuf:"bytes,8,opt,name=user_agent,json=userAgent,proto3" json:"user_agent,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopInRequest) Reset()         { *m = ServerLoopInRequest{} }
func (m *ServerLoopInRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInRequest) ProtoMessage()    {}
func (*ServerLoopInRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{6}
}

func (m *ServerLoopInRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInRequest.Unmarshal(m, b)
}
func (m *ServerLoopInRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopInRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInRequest.Merge(m, src)
}
func (m *ServerLoopInRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInRequest.Size(m)
}
func (m *ServerLoopInRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInRequest proto.InternalMessageInfo

func (m *ServerLoopInRequest) GetSenderKey() []byte {
	if m != nil {
		return m.SenderKey
	}
	return nil
}

func (m *ServerLoopInRequest) GetSwapHash() []byte {
	if m != nil {
		return m.SwapHash
	}
	return nil
}

func (m *ServerLoopInRequest) GetAmt() uint64 {
	if m != nil {
		return m.Amt
	}
	return 0
}

func (m *ServerLoopInRequest) GetSwapInvoice() string {
	if m != nil {
		return m.SwapInvoice
	}
	return ""
}

func (m *ServerLoopInRequest) GetLastHop() []byte {
	if m != nil {
		return m.LastHop
	}
	return nil
}

func (m *ServerLoopInRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *ServerLoopInRequest) GetProbeInvoice() string {
	if m != nil {
		return m.ProbeInvoice
	}
	return ""
}

func (m *ServerLoopInRequest) GetUserAgent() string {
	if m != nil {
		return m.UserAgent
	}
	return ""
}

type ServerLoopInResponse struct {
	ReceiverKey []byte `protobuf:"bytes,1,opt,name=receiver_key,json=receiverKey,proto3" json:"receiver_key,omitempty"`
	Expiry      int32  `protobuf:"varint,2,opt,name=expiry,proto3" json:"expiry,omitempty"`
	// A human-readable message from the loop server.
	ServerMessage        string   `protobuf:"bytes,3,opt,name=server_message,json=serverMessage,proto3" json:"server_message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopInResponse) Reset()         { *m = ServerLoopInResponse{} }
func (m *ServerLoopInResponse) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInResponse) ProtoMessage()    {}
func (*ServerLoopInResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{7}
}

func (m *ServerLoopInResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInResponse.Unmarshal(m, b)
}
func (m *ServerLoopInResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInResponse.Marshal(b, m, deterministic)
}
func (m *ServerLoopInResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInResponse.Merge(m, src)
}
func (m *ServerLoopInResponse) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInResponse.Size(m)
}
func (m *ServerLoopInResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInResponse proto.InternalMessageInfo

func (m *ServerLoopInResponse) GetReceiverKey() []byte {
	if m != nil {
		return m.ReceiverKey
	}
	return nil
}

func (m *ServerLoopInResponse) GetExpiry() int32 {
	if m != nil {
		return m.Expiry
	}
	return 0
}

func (m *ServerLoopInResponse) GetServerMessage() string {
	if m != nil {
		return m.ServerMessage
	}
	return ""
}

type ServerLoopInQuoteRequest struct {
	/// The swap amount. If zero, a quote for a maximum amt swap will be given.
	Amt uint64 `protobuf:"varint,1,opt,name=amt,proto3" json:"amt,omitempty"`
	/// The protocol version that the client adheres to.
	ProtocolVersion      ProtocolVersion `protobuf:"varint,2,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *ServerLoopInQuoteRequest) Reset()         { *m = ServerLoopInQuoteRequest{} }
func (m *ServerLoopInQuoteRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInQuoteRequest) ProtoMessage()    {}
func (*ServerLoopInQuoteRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{8}
}

func (m *ServerLoopInQuoteRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInQuoteRequest.Unmarshal(m, b)
}
func (m *ServerLoopInQuoteRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInQuoteRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopInQuoteRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInQuoteRequest.Merge(m, src)
}
func (m *ServerLoopInQuoteRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInQuoteRequest.Size(m)
}
func (m *ServerLoopInQuoteRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInQuoteRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInQuoteRequest proto.InternalMessageInfo

func (m *ServerLoopInQuoteRequest) GetAmt() uint64 {
	if m != nil {
		return m.Amt
	}
	return 0
}

func (m *ServerLoopInQuoteRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

type ServerLoopInQuoteResponse struct {
	SwapFee              int64    `protobuf:"varint,1,opt,name=swap_fee,json=swapFee,proto3" json:"swap_fee,omitempty"`
	SwapFeeRate          int64    `protobuf:"varint,2,opt,name=swap_fee_rate,json=swapFeeRate,proto3" json:"swap_fee_rate,omitempty"`       // Deprecated: Do not use.
	MinSwapAmount        uint64   `protobuf:"varint,4,opt,name=min_swap_amount,json=minSwapAmount,proto3" json:"min_swap_amount,omitempty"` // Deprecated: Do not use.
	MaxSwapAmount        uint64   `protobuf:"varint,5,opt,name=max_swap_amount,json=maxSwapAmount,proto3" json:"max_swap_amount,omitempty"` // Deprecated: Do not use.
	CltvDelta            int32    `protobuf:"varint,6,opt,name=cltv_delta,json=cltvDelta,proto3" json:"cltv_delta,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopInQuoteResponse) Reset()         { *m = ServerLoopInQuoteResponse{} }
func (m *ServerLoopInQuoteResponse) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInQuoteResponse) ProtoMessage()    {}
func (*ServerLoopInQuoteResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{9}
}

func (m *ServerLoopInQuoteResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInQuoteResponse.Unmarshal(m, b)
}
func (m *ServerLoopInQuoteResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInQuoteResponse.Marshal(b, m, deterministic)
}
func (m *ServerLoopInQuoteResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInQuoteResponse.Merge(m, src)
}
func (m *ServerLoopInQuoteResponse) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInQuoteResponse.Size(m)
}
func (m *ServerLoopInQuoteResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInQuoteResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInQuoteResponse proto.InternalMessageInfo

func (m *ServerLoopInQuoteResponse) GetSwapFee() int64 {
	if m != nil {
		return m.SwapFee
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopInQuoteResponse) GetSwapFeeRate() int64 {
	if m != nil {
		return m.SwapFeeRate
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopInQuoteResponse) GetMinSwapAmount() uint64 {
	if m != nil {
		return m.MinSwapAmount
	}
	return 0
}

// Deprecated: Do not use.
func (m *ServerLoopInQuoteResponse) GetMaxSwapAmount() uint64 {
	if m != nil {
		return m.MaxSwapAmount
	}
	return 0
}

func (m *ServerLoopInQuoteResponse) GetCltvDelta() int32 {
	if m != nil {
		return m.CltvDelta
	}
	return 0
}

type ServerLoopInTermsRequest struct {
	/// The protocol version that the client adheres to.
	ProtocolVersion      ProtocolVersion `protobuf:"varint,1,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *ServerLoopInTermsRequest) Reset()         { *m = ServerLoopInTermsRequest{} }
func (m *ServerLoopInTermsRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInTermsRequest) ProtoMessage()    {}
func (*ServerLoopInTermsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{10}
}

func (m *ServerLoopInTermsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInTermsRequest.Unmarshal(m, b)
}
func (m *ServerLoopInTermsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInTermsRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopInTermsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInTermsRequest.Merge(m, src)
}
func (m *ServerLoopInTermsRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInTermsRequest.Size(m)
}
func (m *ServerLoopInTermsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInTermsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInTermsRequest proto.InternalMessageInfo

func (m *ServerLoopInTermsRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

type ServerLoopInTerms struct {
	MinSwapAmount        uint64   `protobuf:"varint,1,opt,name=min_swap_amount,json=minSwapAmount,proto3" json:"min_swap_amount,omitempty"`
	MaxSwapAmount        uint64   `protobuf:"varint,2,opt,name=max_swap_amount,json=maxSwapAmount,proto3" json:"max_swap_amount,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopInTerms) Reset()         { *m = ServerLoopInTerms{} }
func (m *ServerLoopInTerms) String() string { return proto.CompactTextString(m) }
func (*ServerLoopInTerms) ProtoMessage()    {}
func (*ServerLoopInTerms) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{11}
}

func (m *ServerLoopInTerms) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopInTerms.Unmarshal(m, b)
}
func (m *ServerLoopInTerms) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopInTerms.Marshal(b, m, deterministic)
}
func (m *ServerLoopInTerms) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopInTerms.Merge(m, src)
}
func (m *ServerLoopInTerms) XXX_Size() int {
	return xxx_messageInfo_ServerLoopInTerms.Size(m)
}
func (m *ServerLoopInTerms) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopInTerms.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopInTerms proto.InternalMessageInfo

func (m *ServerLoopInTerms) GetMinSwapAmount() uint64 {
	if m != nil {
		return m.MinSwapAmount
	}
	return 0
}

func (m *ServerLoopInTerms) GetMaxSwapAmount() uint64 {
	if m != nil {
		return m.MaxSwapAmount
	}
	return 0
}

// ServerLoopOutPushPreimageRequest pushes a preimage to the server. Note that
// this call returns with no error after the server acknowledges the preimage
// and does not block until the invoice is settled.
type ServerLoopOutPushPreimageRequest struct {
	// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,1,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	//
	//Preimage is the preimage of the loop out swap that we wish to push to the
	//server to speed up off-chain claim once the on-chain htlc has confirmed.
	Preimage             []byte   `protobuf:"bytes,2,opt,name=preimage,proto3" json:"preimage,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutPushPreimageRequest) Reset()         { *m = ServerLoopOutPushPreimageRequest{} }
func (m *ServerLoopOutPushPreimageRequest) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutPushPreimageRequest) ProtoMessage()    {}
func (*ServerLoopOutPushPreimageRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{12}
}

func (m *ServerLoopOutPushPreimageRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutPushPreimageRequest.Unmarshal(m, b)
}
func (m *ServerLoopOutPushPreimageRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutPushPreimageRequest.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutPushPreimageRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutPushPreimageRequest.Merge(m, src)
}
func (m *ServerLoopOutPushPreimageRequest) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutPushPreimageRequest.Size(m)
}
func (m *ServerLoopOutPushPreimageRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutPushPreimageRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutPushPreimageRequest proto.InternalMessageInfo

func (m *ServerLoopOutPushPreimageRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *ServerLoopOutPushPreimageRequest) GetPreimage() []byte {
	if m != nil {
		return m.Preimage
	}
	return nil
}

type ServerLoopOutPushPreimageResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServerLoopOutPushPreimageResponse) Reset()         { *m = ServerLoopOutPushPreimageResponse{} }
func (m *ServerLoopOutPushPreimageResponse) String() string { return proto.CompactTextString(m) }
func (*ServerLoopOutPushPreimageResponse) ProtoMessage()    {}
func (*ServerLoopOutPushPreimageResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{13}
}

func (m *ServerLoopOutPushPreimageResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerLoopOutPushPreimageResponse.Unmarshal(m, b)
}
func (m *ServerLoopOutPushPreimageResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerLoopOutPushPreimageResponse.Marshal(b, m, deterministic)
}
func (m *ServerLoopOutPushPreimageResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerLoopOutPushPreimageResponse.Merge(m, src)
}
func (m *ServerLoopOutPushPreimageResponse) XXX_Size() int {
	return xxx_messageInfo_ServerLoopOutPushPreimageResponse.Size(m)
}
func (m *ServerLoopOutPushPreimageResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerLoopOutPushPreimageResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ServerLoopOutPushPreimageResponse proto.InternalMessageInfo

type SubscribeUpdatesRequest struct {
	// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,1,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	// Swap hash is the hash of the swap to subscribe to updates for.
	SwapHash             []byte   `protobuf:"bytes,2,opt,name=swap_hash,json=swapHash,proto3" json:"swap_hash,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubscribeUpdatesRequest) Reset()         { *m = SubscribeUpdatesRequest{} }
func (m *SubscribeUpdatesRequest) String() string { return proto.CompactTextString(m) }
func (*SubscribeUpdatesRequest) ProtoMessage()    {}
func (*SubscribeUpdatesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{14}
}

func (m *SubscribeUpdatesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeUpdatesRequest.Unmarshal(m, b)
}
func (m *SubscribeUpdatesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeUpdatesRequest.Marshal(b, m, deterministic)
}
func (m *SubscribeUpdatesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeUpdatesRequest.Merge(m, src)
}
func (m *SubscribeUpdatesRequest) XXX_Size() int {
	return xxx_messageInfo_SubscribeUpdatesRequest.Size(m)
}
func (m *SubscribeUpdatesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeUpdatesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeUpdatesRequest proto.InternalMessageInfo

func (m *SubscribeUpdatesRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *SubscribeUpdatesRequest) GetSwapHash() []byte {
	if m != nil {
		return m.SwapHash
	}
	return nil
}

type SubscribeLoopOutUpdatesResponse struct {
	// The unix timestamp in nanoseconds when the swap was updated.
	TimestampNs int64 `protobuf:"varint,1,opt,name=timestamp_ns,json=timestampNs,proto3" json:"timestamp_ns,omitempty"`
	// The swap's current state.
	State                ServerSwapState `protobuf:"varint,2,opt,name=state,proto3,enum=looprpc.ServerSwapState" json:"state,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *SubscribeLoopOutUpdatesResponse) Reset()         { *m = SubscribeLoopOutUpdatesResponse{} }
func (m *SubscribeLoopOutUpdatesResponse) String() string { return proto.CompactTextString(m) }
func (*SubscribeLoopOutUpdatesResponse) ProtoMessage()    {}
func (*SubscribeLoopOutUpdatesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{15}
}

func (m *SubscribeLoopOutUpdatesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeLoopOutUpdatesResponse.Unmarshal(m, b)
}
func (m *SubscribeLoopOutUpdatesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeLoopOutUpdatesResponse.Marshal(b, m, deterministic)
}
func (m *SubscribeLoopOutUpdatesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeLoopOutUpdatesResponse.Merge(m, src)
}
func (m *SubscribeLoopOutUpdatesResponse) XXX_Size() int {
	return xxx_messageInfo_SubscribeLoopOutUpdatesResponse.Size(m)
}
func (m *SubscribeLoopOutUpdatesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeLoopOutUpdatesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeLoopOutUpdatesResponse proto.InternalMessageInfo

func (m *SubscribeLoopOutUpdatesResponse) GetTimestampNs() int64 {
	if m != nil {
		return m.TimestampNs
	}
	return 0
}

func (m *SubscribeLoopOutUpdatesResponse) GetState() ServerSwapState {
	if m != nil {
		return m.State
	}
	return ServerSwapState_INITIATED
}

type SubscribeLoopInUpdatesResponse struct {
	// The unix timestamp in nanoseconds when the swap was updated.
	TimestampNs int64 `protobuf:"varint,1,opt,name=timestamp_ns,json=timestampNs,proto3" json:"timestamp_ns,omitempty"`
	// The swap's current state.
	State                ServerSwapState `protobuf:"varint,2,opt,name=state,proto3,enum=looprpc.ServerSwapState" json:"state,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *SubscribeLoopInUpdatesResponse) Reset()         { *m = SubscribeLoopInUpdatesResponse{} }
func (m *SubscribeLoopInUpdatesResponse) String() string { return proto.CompactTextString(m) }
func (*SubscribeLoopInUpdatesResponse) ProtoMessage()    {}
func (*SubscribeLoopInUpdatesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{16}
}

func (m *SubscribeLoopInUpdatesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeLoopInUpdatesResponse.Unmarshal(m, b)
}
func (m *SubscribeLoopInUpdatesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeLoopInUpdatesResponse.Marshal(b, m, deterministic)
}
func (m *SubscribeLoopInUpdatesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeLoopInUpdatesResponse.Merge(m, src)
}
func (m *SubscribeLoopInUpdatesResponse) XXX_Size() int {
	return xxx_messageInfo_SubscribeLoopInUpdatesResponse.Size(m)
}
func (m *SubscribeLoopInUpdatesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeLoopInUpdatesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeLoopInUpdatesResponse proto.InternalMessageInfo

func (m *SubscribeLoopInUpdatesResponse) GetTimestampNs() int64 {
	if m != nil {
		return m.TimestampNs
	}
	return 0
}

func (m *SubscribeLoopInUpdatesResponse) GetState() ServerSwapState {
	if m != nil {
		return m.State
	}
	return ServerSwapState_INITIATED
}

type RouteCancel struct {
	// The type of the payment that failed.
	RouteType RoutePaymentType `protobuf:"varint,1,opt,name=route_type,json=routeType,proto3,enum=looprpc.RoutePaymentType" json:"route_type,omitempty"`
	// The htlcs that the client tried to pay the server with, if any.
	Attempts []*HtlcAttempt `protobuf:"bytes,2,rep,name=attempts,proto3" json:"attempts,omitempty"`
	// The reason that the payment failed.
	Failure              PaymentFailureReason `protobuf:"varint,3,opt,name=failure,proto3,enum=looprpc.PaymentFailureReason" json:"failure,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *RouteCancel) Reset()         { *m = RouteCancel{} }
func (m *RouteCancel) String() string { return proto.CompactTextString(m) }
func (*RouteCancel) ProtoMessage()    {}
func (*RouteCancel) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{17}
}

func (m *RouteCancel) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteCancel.Unmarshal(m, b)
}
func (m *RouteCancel) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteCancel.Marshal(b, m, deterministic)
}
func (m *RouteCancel) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteCancel.Merge(m, src)
}
func (m *RouteCancel) XXX_Size() int {
	return xxx_messageInfo_RouteCancel.Size(m)
}
func (m *RouteCancel) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteCancel.DiscardUnknown(m)
}

var xxx_messageInfo_RouteCancel proto.InternalMessageInfo

func (m *RouteCancel) GetRouteType() RoutePaymentType {
	if m != nil {
		return m.RouteType
	}
	return RoutePaymentType_UNKNOWN
}

func (m *RouteCancel) GetAttempts() []*HtlcAttempt {
	if m != nil {
		return m.Attempts
	}
	return nil
}

func (m *RouteCancel) GetFailure() PaymentFailureReason {
	if m != nil {
		return m.Failure
	}
	return PaymentFailureReason_FAILURE_REASON_NONE
}

type HtlcAttempt struct {
	// The number of hops from the htlc's failure hop that it needed to take
	// to reach the server's node.
	RemainingHops        uint32   `protobuf:"varint,1,opt,name=remaining_hops,json=remainingHops,proto3" json:"remaining_hops,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HtlcAttempt) Reset()         { *m = HtlcAttempt{} }
func (m *HtlcAttempt) String() string { return proto.CompactTextString(m) }
func (*HtlcAttempt) ProtoMessage()    {}
func (*HtlcAttempt) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{18}
}

func (m *HtlcAttempt) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HtlcAttempt.Unmarshal(m, b)
}
func (m *HtlcAttempt) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HtlcAttempt.Marshal(b, m, deterministic)
}
func (m *HtlcAttempt) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HtlcAttempt.Merge(m, src)
}
func (m *HtlcAttempt) XXX_Size() int {
	return xxx_messageInfo_HtlcAttempt.Size(m)
}
func (m *HtlcAttempt) XXX_DiscardUnknown() {
	xxx_messageInfo_HtlcAttempt.DiscardUnknown(m)
}

var xxx_messageInfo_HtlcAttempt proto.InternalMessageInfo

func (m *HtlcAttempt) GetRemainingHops() uint32 {
	if m != nil {
		return m.RemainingHops
	}
	return 0
}

type CancelLoopOutSwapRequest struct {
	// The protocol version that the client adheres to.
	ProtocolVersion ProtocolVersion `protobuf:"varint,1,opt,name=protocol_version,json=protocolVersion,proto3,enum=looprpc.ProtocolVersion" json:"protocol_version,omitempty"`
	// The swap hash.
	SwapHash []byte `protobuf:"bytes,2,opt,name=swap_hash,json=swapHash,proto3" json:"swap_hash,omitempty"`
	// The payment address for the swap invoice, used to ensure that only the
	// swap owner can cancel the payment.
	PaymentAddress []byte `protobuf:"bytes,3,opt,name=payment_address,json=paymentAddress,proto3" json:"payment_address,omitempty"`
	// Additional information about the swap cancelation.
	//
	// Types that are valid to be assigned to CancelInfo:
	//	*CancelLoopOutSwapRequest_RouteCancel
	CancelInfo           isCancelLoopOutSwapRequest_CancelInfo `protobuf_oneof:"cancel_info"`
	XXX_NoUnkeyedLiteral struct{}                              `json:"-"`
	XXX_unrecognized     []byte                                `json:"-"`
	XXX_sizecache        int32                                 `json:"-"`
}

func (m *CancelLoopOutSwapRequest) Reset()         { *m = CancelLoopOutSwapRequest{} }
func (m *CancelLoopOutSwapRequest) String() string { return proto.CompactTextString(m) }
func (*CancelLoopOutSwapRequest) ProtoMessage()    {}
func (*CancelLoopOutSwapRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{19}
}

func (m *CancelLoopOutSwapRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CancelLoopOutSwapRequest.Unmarshal(m, b)
}
func (m *CancelLoopOutSwapRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CancelLoopOutSwapRequest.Marshal(b, m, deterministic)
}
func (m *CancelLoopOutSwapRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CancelLoopOutSwapRequest.Merge(m, src)
}
func (m *CancelLoopOutSwapRequest) XXX_Size() int {
	return xxx_messageInfo_CancelLoopOutSwapRequest.Size(m)
}
func (m *CancelLoopOutSwapRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CancelLoopOutSwapRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CancelLoopOutSwapRequest proto.InternalMessageInfo

func (m *CancelLoopOutSwapRequest) GetProtocolVersion() ProtocolVersion {
	if m != nil {
		return m.ProtocolVersion
	}
	return ProtocolVersion_LEGACY
}

func (m *CancelLoopOutSwapRequest) GetSwapHash() []byte {
	if m != nil {
		return m.SwapHash
	}
	return nil
}

func (m *CancelLoopOutSwapRequest) GetPaymentAddress() []byte {
	if m != nil {
		return m.PaymentAddress
	}
	return nil
}

type isCancelLoopOutSwapRequest_CancelInfo interface {
	isCancelLoopOutSwapRequest_CancelInfo()
}

type CancelLoopOutSwapRequest_RouteCancel struct {
	RouteCancel *RouteCancel `protobuf:"bytes,5,opt,name=route_cancel,json=routeCancel,proto3,oneof"`
}

func (*CancelLoopOutSwapRequest_RouteCancel) isCancelLoopOutSwapRequest_CancelInfo() {}

func (m *CancelLoopOutSwapRequest) GetCancelInfo() isCancelLoopOutSwapRequest_CancelInfo {
	if m != nil {
		return m.CancelInfo
	}
	return nil
}

func (m *CancelLoopOutSwapRequest) GetRouteCancel() *RouteCancel {
	if x, ok := m.GetCancelInfo().(*CancelLoopOutSwapRequest_RouteCancel); ok {
		return x.RouteCancel
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*CancelLoopOutSwapRequest) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*CancelLoopOutSwapRequest_RouteCancel)(nil),
	}
}

type CancelLoopOutSwapResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CancelLoopOutSwapResponse) Reset()         { *m = CancelLoopOutSwapResponse{} }
func (m *CancelLoopOutSwapResponse) String() string { return proto.CompactTextString(m) }
func (*CancelLoopOutSwapResponse) ProtoMessage()    {}
func (*CancelLoopOutSwapResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ad098daeda4239f7, []int{20}
}

func (m *CancelLoopOutSwapResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CancelLoopOutSwapResponse.Unmarshal(m, b)
}
func (m *CancelLoopOutSwapResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CancelLoopOutSwapResponse.Marshal(b, m, deterministic)
}
func (m *CancelLoopOutSwapResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CancelLoopOutSwapResponse.Merge(m, src)
}
func (m *CancelLoopOutSwapResponse) XXX_Size() int {
	return xxx_messageInfo_CancelLoopOutSwapResponse.Size(m)
}
func (m *CancelLoopOutSwapResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CancelLoopOutSwapResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CancelLoopOutSwapResponse proto.InternalMessageInfo

func init() {
	proto.RegisterEnum("looprpc.ProtocolVersion", ProtocolVersion_name, ProtocolVersion_value)
	proto.RegisterEnum("looprpc.ServerSwapState", ServerSwapState_name, ServerSwapState_value)
	proto.RegisterEnum("looprpc.RoutePaymentType", RoutePaymentType_name, RoutePaymentType_value)
	proto.RegisterEnum("looprpc.PaymentFailureReason", PaymentFailureReason_name, PaymentFailureReason_value)
	proto.RegisterType((*ServerLoopOutRequest)(nil), "looprpc.ServerLoopOutRequest")
	proto.RegisterType((*ServerLoopOutResponse)(nil), "looprpc.ServerLoopOutResponse")
	proto.RegisterType((*ServerLoopOutQuoteRequest)(nil), "looprpc.ServerLoopOutQuoteRequest")
	proto.RegisterType((*ServerLoopOutQuote)(nil), "looprpc.ServerLoopOutQuote")
	proto.RegisterType((*ServerLoopOutTermsRequest)(nil), "looprpc.ServerLoopOutTermsRequest")
	proto.RegisterType((*ServerLoopOutTerms)(nil), "looprpc.ServerLoopOutTerms")
	proto.RegisterType((*ServerLoopInRequest)(nil), "looprpc.ServerLoopInRequest")
	proto.RegisterType((*ServerLoopInResponse)(nil), "looprpc.ServerLoopInResponse")
	proto.RegisterType((*ServerLoopInQuoteRequest)(nil), "looprpc.ServerLoopInQuoteRequest")
	proto.RegisterType((*ServerLoopInQuoteResponse)(nil), "looprpc.ServerLoopInQuoteResponse")
	proto.RegisterType((*ServerLoopInTermsRequest)(nil), "looprpc.ServerLoopInTermsRequest")
	proto.RegisterType((*ServerLoopInTerms)(nil), "looprpc.ServerLoopInTerms")
	proto.RegisterType((*ServerLoopOutPushPreimageRequest)(nil), "looprpc.ServerLoopOutPushPreimageRequest")
	proto.RegisterType((*ServerLoopOutPushPreimageResponse)(nil), "looprpc.ServerLoopOutPushPreimageResponse")
	proto.RegisterType((*SubscribeUpdatesRequest)(nil), "looprpc.SubscribeUpdatesRequest")
	proto.RegisterType((*SubscribeLoopOutUpdatesResponse)(nil), "looprpc.SubscribeLoopOutUpdatesResponse")
	proto.RegisterType((*SubscribeLoopInUpdatesResponse)(nil), "looprpc.SubscribeLoopInUpdatesResponse")
	proto.RegisterType((*RouteCancel)(nil), "looprpc.RouteCancel")
	proto.RegisterType((*HtlcAttempt)(nil), "looprpc.HtlcAttempt")
	proto.RegisterType((*CancelLoopOutSwapRequest)(nil), "looprpc.CancelLoopOutSwapRequest")
	proto.RegisterType((*CancelLoopOutSwapResponse)(nil), "looprpc.CancelLoopOutSwapResponse")
}

func init() { proto.RegisterFile("server.proto", fileDescriptor_ad098daeda4239f7) }

var fileDescriptor_ad098daeda4239f7 = []byte{
	// 1712 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x57, 0xcd, 0x6e, 0xdb, 0xda,
	0x11, 0x0e, 0x25, 0xd9, 0xb2, 0x46, 0x92, 0x4d, 0x9f, 0xfc, 0xc9, 0x4a, 0x9c, 0x2a, 0x4c, 0x6f,
	0xa2, 0x1a, 0x45, 0x6e, 0x90, 0x16, 0xe8, 0xcf, 0x8e, 0xa1, 0xe8, 0x88, 0xb8, 0x32, 0xa9, 0x52,
	0x94, 0x73, 0xd3, 0xcd, 0x29, 0x2d, 0x9f, 0xd8, 0x44, 0x25, 0x92, 0x97, 0xa4, 0x1c, 0x1b, 0x5d,
	0x76, 0xd9, 0x67, 0x28, 0xd0, 0x75, 0x57, 0x45, 0x37, 0x7d, 0x80, 0x02, 0x7d, 0x83, 0x2e, 0xfa,
	0x0a, 0xdd, 0xf4, 0x15, 0x8a, 0xf3, 0x43, 0x89, 0x94, 0xe8, 0x24, 0xbe, 0x30, 0xee, 0x4e, 0x9c,
	0xf9, 0xce, 0xfc, 0x7c, 0x33, 0x67, 0xce, 0x08, 0x1a, 0x31, 0x89, 0x2e, 0x48, 0xf4, 0x32, 0x8c,
	0x82, 0x24, 0x40, 0xd5, 0x69, 0x10, 0x84, 0x51, 0x38, 0x69, 0x3f, 0x3e, 0x0b, 0x82, 0xb3, 0x29,
	0xf9, 0xda, 0x0d, 0xbd, 0xaf, 0x5d, 0xdf, 0x0f, 0x12, 0x37, 0xf1, 0x02, 0x3f, 0xe6, 0x30, 0xe5,
	0x2f, 0x25, 0xb8, 0x37, 0x62, 0xe7, 0x06, 0x41, 0x10, 0x5a, 0xf3, 0xc4, 0x26, 0xdf, 0xcd, 0x49,
	0x9c, 0xa0, 0xa7, 0xd0, 0x88, 0xc8, 0x84, 0x78, 0x17, 0x24, 0xc2, 0xbf, 0x27, 0x57, 0x2d, 0xa9,
	0x23, 0x75, 0x1b, 0x76, 0x3d, 0x95, 0x7d, 0x43, 0xae, 0xd0, 0x23, 0xa8, 0xc5, 0x1f, 0xdd, 0x10,
	0x9f, 0xbb, 0xf1, 0x79, 0xab, 0xc4, 0xf4, 0x5b, 0x54, 0xd0, 0x77, 0xe3, 0x73, 0x24, 0x43, 0xd9,
	0x9d, 0x25, 0xad, 0x72, 0x47, 0xea, 0x56, 0x6c, 0xfa, 0x13, 0xfd, 0x1a, 0xf6, 0x18, 0x3c, 0x9c,
	0x9f, 0x4c, 0xbd, 0x09, 0x8b, 0x02, 0x9f, 0x12, 0xf7, 0x74, 0xea, 0xf9, 0xa4, 0x55, 0xe9, 0x48,
	0xdd, 0xb2, 0xfd, 0x90, 0x02, 0x86, 0x4b, 0x7d, 0x4f, 0xa8, 0x91, 0x06, 0x32, 0x8b, 0x77, 0x12,
	0x4c, 0xf1, 0x05, 0x89, 0x62, 0x2f, 0xf0, 0x5b, 0x1b, 0x1d, 0xa9, 0xbb, 0xfd, 0xba, 0xf5, 0x52,
	0x24, 0xfa, 0x72, 0x28, 0x00, 0xc7, 0x5c, 0x6f, 0xef, 0x84, 0x79, 0x01, 0x7a, 0x00, 0x9b, 0xe4,
	0x32, 0xf4, 0xa2, 0xab, 0xd6, 0x66, 0x47, 0xea, 0x6e, 0xd8, 0xe2, 0x0b, 0xed, 0x03, 0xcc, 0x63,
	0x12, 0x61, 0xf7, 0x8c, 0xf8, 0x49, 0xab, 0xda, 0x91, 0xba, 0x35, 0xbb, 0x46, 0x25, 0x2a, 0x15,
	0x28, 0xff, 0x94, 0xe0, 0xfe, 0x0a, 0x45, 0x71, 0x18, 0xf8, 0x31, 0xa1, 0x1c, 0xb1, 0x8c, 0x3c,
	0xff, 0x22, 0xf0, 0x26, 0x84, 0x71, 0x54, 0xb3, 0xeb, 0x54, 0x66, 0x70, 0x11, 0xfa, 0x0a, 0xb6,
	0xc3, 0x88, 0x84, 0xee, 0xd5, 0x02, 0x54, 0x62, 0xa0, 0x26, 0x97, 0xa6, 0xb0, 0x7d, 0x80, 0x98,
	0xf8, 0xa7, 0x82, 0xeb, 0x32, 0xe3, 0xb2, 0xc6, 0x25, 0x94, 0xe9, 0xf6, 0x22, 0x72, 0xca, 0xd3,
	0xc6, 0x9b, 0x52, 0x4b, 0x5a, 0x44, 0xff, 0x15, 0x6c, 0xf3, 0xc2, 0xe3, 0x19, 0x89, 0x63, 0xf7,
	0x8c, 0x30, 0x62, 0x6a, 0x76, 0x93, 0x4b, 0x8f, 0xb8, 0x50, 0xf9, 0x97, 0x04, 0x7b, 0xb9, 0x2c,
	0x7e, 0x33, 0x0f, 0x12, 0x92, 0x56, 0x5b, 0x54, 0x4b, 0xfa, 0xc2, 0x6a, 0x95, 0x6e, 0x5e, 0xad,
	0xf2, 0xf7, 0xaf, 0x56, 0x25, 0x5b, 0x2d, 0xe5, 0xcf, 0x25, 0x40, 0xeb, 0x89, 0xa0, 0x03, 0xd8,
	0xe5, 0xf1, 0xba, 0x57, 0x33, 0xe2, 0x27, 0xf8, 0x94, 0xc4, 0x89, 0x28, 0xc8, 0x0e, 0x8b, 0x93,
	0xcb, 0x7b, 0x34, 0xdb, 0x3d, 0x60, 0x7d, 0x8a, 0x3f, 0x90, 0x34, 0x95, 0x2a, 0xfd, 0x3e, 0x24,
	0x04, 0x3d, 0x87, 0x66, 0xaa, 0xc2, 0x91, 0x9b, 0x10, 0x16, 0x77, 0x99, 0x11, 0x5e, 0x17, 0x18,
	0xdb, 0x4d, 0x58, 0xc1, 0x44, 0x5d, 0x29, 0x6f, 0x15, 0xc6, 0x5b, 0x8d, 0x4b, 0xd4, 0x59, 0x82,
	0x0e, 0x60, 0x67, 0xe6, 0xf9, 0x98, 0x99, 0x72, 0x67, 0xc1, 0xdc, 0x4f, 0x58, 0x55, 0x2a, 0xcc,
	0x50, 0x73, 0xe6, 0xf9, 0xa3, 0x8f, 0x6e, 0xa8, 0x32, 0x05, 0xc3, 0xba, 0x97, 0x39, 0xec, 0x66,
	0x06, 0xeb, 0x5e, 0x66, 0xb0, 0x4f, 0x01, 0x26, 0xd3, 0xe4, 0x02, 0x9f, 0x92, 0x69, 0xe2, 0xb2,
	0x56, 0xe5, 0xcd, 0x50, 0xa3, 0xd2, 0x1e, 0x15, 0x2a, 0xbf, 0x5b, 0xa9, 0xb3, 0x43, 0xa2, 0x59,
	0x9c, 0xd6, 0xb9, 0xa8, 0x32, 0xd2, 0x0d, 0x2b, 0xa3, 0xfc, 0x4d, 0x5a, 0xa9, 0x00, 0x73, 0x81,
	0x9e, 0xaf, 0xe7, 0xcc, 0xfb, 0x69, 0x25, 0xdf, 0xe7, 0xeb, 0xf9, 0x96, 0x04, 0x2e, 0x97, 0xeb,
	0x8f, 0x61, 0x9b, 0xda, 0xcb, 0xe4, 0x5b, 0x66, 0x8d, 0xd0, 0x98, 0x79, 0xbe, 0x96, 0xa6, 0xcb,
	0x50, 0xee, 0x65, 0x16, 0x55, 0x11, 0x28, 0xf7, 0x72, 0x81, 0x52, 0xfe, 0x5a, 0x82, 0xbb, 0xcb,
	0x90, 0x0d, 0x3f, 0xe5, 0x23, 0x7f, 0xef, 0xa4, 0xd5, 0x7b, 0x77, 0xc3, 0x09, 0xb7, 0x3a, 0x0f,
	0x2a, 0xeb, 0xf3, 0x60, 0x0f, 0xb6, 0xa6, 0x6e, 0x9c, 0xe0, 0xf3, 0x20, 0x64, 0x1d, 0xd1, 0xb0,
	0xab, 0xf4, 0xbb, 0x1f, 0x84, 0x85, 0xb5, 0xd9, 0xbc, 0xe9, 0xad, 0x79, 0x06, 0xcd, 0x30, 0x0a,
	0x4e, 0xc8, 0x22, 0x06, 0x3e, 0xce, 0x1a, 0x4c, 0x98, 0x99, 0x36, 0x99, 0x81, 0xb7, 0xb5, 0x3a,
	0xf0, 0x2e, 0xb3, 0x4f, 0x02, 0xe5, 0x6a, 0x39, 0xee, 0x3e, 0xf7, 0x24, 0x2c, 0x2f, 0x6d, 0x29,
	0x37, 0x62, 0xd7, 0x87, 0x54, 0xb9, 0x68, 0x48, 0x7d, 0x07, 0xad, 0xac, 0xe7, 0xcf, 0x8c, 0xa8,
	0x22, 0xc2, 0x4a, 0x37, 0x6d, 0xe6, 0x7f, 0xe7, 0xe6, 0xe2, 0xc2, 0xa7, 0x48, 0x39, 0x3b, 0x29,
	0xa4, 0xcf, 0x4c, 0x8a, 0x52, 0xf1, 0xa4, 0x28, 0x18, 0x05, 0x95, 0x1b, 0x8c, 0x82, 0x8d, 0xeb,
	0x46, 0xc1, 0x7e, 0x6e, 0x14, 0xf0, 0x17, 0x2d, 0x33, 0x06, 0x70, 0x9e, 0xca, 0xdb, 0x9f, 0x02,
	0x13, 0xd8, 0x5d, 0x73, 0x70, 0xdb, 0x33, 0x40, 0xf9, 0xa3, 0x04, 0x9d, 0xdc, 0xa8, 0x19, 0xce,
	0xe3, 0xf3, 0x61, 0x44, 0xbc, 0x99, 0x7b, 0x46, 0x6e, 0x33, 0x1d, 0xd4, 0x86, 0xad, 0x50, 0xd8,
	0x4d, 0x6f, 0x7a, 0xfa, 0xad, 0x3c, 0x83, 0xa7, 0x9f, 0x08, 0x82, 0xb7, 0x8a, 0xf2, 0x07, 0x78,
	0x38, 0x9a, 0x9f, 0xc4, 0x93, 0xc8, 0x3b, 0x21, 0xe3, 0xf0, 0xd4, 0x4d, 0xc8, 0xad, 0xf2, 0xfd,
	0xc9, 0x59, 0xa4, 0x24, 0xf0, 0xa3, 0x85, 0x73, 0x11, 0xe4, 0x22, 0x86, 0xe5, 0xed, 0x4d, 0xbc,
	0x19, 0x89, 0x13, 0x77, 0x16, 0x62, 0x3f, 0x16, 0xed, 0x5c, 0x5f, 0xc8, 0xcc, 0x18, 0xbd, 0x84,
	0x8d, 0x38, 0x49, 0x5b, 0x39, 0x1b, 0x1c, 0xcf, 0x9e, 0xd6, 0x65, 0x44, 0xf5, 0x36, 0x87, 0x29,
	0x31, 0x3c, 0xc9, 0x79, 0x35, 0xfc, 0x1f, 0xc0, 0xe9, 0xdf, 0x25, 0xa8, 0xdb, 0xc1, 0x3c, 0x21,
	0x9a, 0xeb, 0x4f, 0xc8, 0x14, 0xfd, 0x12, 0x20, 0xa2, 0x9f, 0x38, 0xb9, 0x0a, 0x89, 0xa0, 0x75,
	0x6f, 0x61, 0x84, 0x21, 0xc5, 0xdb, 0xef, 0x5c, 0x85, 0xc4, 0xae, 0x31, 0x30, 0xfd, 0x89, 0x5e,
	0xc1, 0x96, 0x9b, 0x24, 0x64, 0x16, 0x26, 0x71, 0xab, 0xd4, 0x29, 0x77, 0xeb, 0xaf, 0xef, 0x2d,
	0xce, 0xf5, 0x93, 0xe9, 0x44, 0xe5, 0x4a, 0x7b, 0x81, 0x42, 0xbf, 0x80, 0xea, 0x07, 0xd7, 0x9b,
	0xce, 0x23, 0x22, 0xf6, 0x99, 0xfd, 0x65, 0xfd, 0xb8, 0x8f, 0x43, 0xae, 0xb6, 0x89, 0x1b, 0x07,
	0xbe, 0x9d, 0xa2, 0x95, 0x9f, 0x43, 0x3d, 0x63, 0x91, 0x8e, 0xc3, 0x88, 0xcc, 0x5c, 0xcf, 0xf7,
	0xfc, 0x33, 0xfa, 0x14, 0x70, 0x62, 0x9a, 0x76, 0x73, 0x21, 0xed, 0x07, 0x61, 0xac, 0xfc, 0x4f,
	0x82, 0x16, 0xcf, 0x52, 0xd4, 0x94, 0x92, 0xf1, 0x83, 0x35, 0x15, 0x7a, 0x01, 0x3b, 0xe9, 0x36,
	0xe5, 0x9e, 0x9e, 0x46, 0x24, 0x8e, 0xc5, 0x66, 0xba, 0x2d, 0xc4, 0x2a, 0x97, 0xa2, 0x5f, 0x41,
	0x83, 0x97, 0x60, 0xc2, 0x82, 0x65, 0x33, 0x2b, 0x4b, 0x66, 0xa6, 0x5c, 0xfd, 0x3b, 0x76, 0x3d,
	0x5a, 0x7e, 0xbe, 0x69, 0x42, 0x9d, 0x1f, 0xc2, 0x9e, 0xff, 0x21, 0x50, 0x1e, 0xc1, 0x5e, 0x41,
	0xc2, 0xbc, 0x99, 0x0e, 0xfe, 0x21, 0xc1, 0xce, 0x4a, 0x46, 0x08, 0x60, 0x73, 0xa0, 0xbf, 0x55,
	0xb5, 0xf7, 0xf2, 0x1d, 0x84, 0x60, 0xfb, 0x68, 0x3c, 0x70, 0x0c, 0x3c, 0xb0, 0xac, 0x21, 0xb6,
	0xc6, 0x8e, 0x2c, 0xa1, 0x3d, 0xb8, 0x6f, 0xaa, 0x8e, 0x71, 0xac, 0xe3, 0x91, 0xfe, 0xf6, 0x9d,
	0xe1, 0x70, 0x9d, 0x61, 0xca, 0x25, 0xd4, 0x86, 0x07, 0x43, 0x5b, 0x37, 0x8e, 0xd4, 0xb7, 0x3a,
	0x1e, 0x8e, 0x47, 0xfd, 0xe5, 0xb1, 0x32, 0x6a, 0xc1, 0xbd, 0xf1, 0x48, 0xb7, 0xb1, 0xfe, 0xed,
	0xd0, 0xb0, 0xdf, 0x2f, 0x35, 0x15, 0x54, 0x87, 0x6a, 0xdf, 0x19, 0x68, 0xf8, 0xf8, 0xb5, 0xbc,
	0x81, 0x76, 0xa1, 0x99, 0xf1, 0x68, 0x98, 0xf2, 0x26, 0xba, 0x0b, 0x3b, 0x29, 0x1a, 0x6b, 0xaa,
	0xa9, 0xe9, 0x03, 0xb9, 0x7a, 0xf0, 0xdf, 0x12, 0xec, 0xac, 0xb4, 0x33, 0x6a, 0x42, 0xcd, 0x30,
	0x0d, 0xc7, 0x50, 0x1d, 0xbd, 0xc7, 0x83, 0x67, 0x76, 0x87, 0xe3, 0x37, 0x03, 0x63, 0xd4, 0xd7,
	0x7b, 0xb2, 0x44, 0x7d, 0x8d, 0xc6, 0x9a, 0xa6, 0x8f, 0x46, 0x72, 0x89, 0x02, 0x0e, 0x55, 0x63,
	0xa0, 0xf7, 0xf0, 0xd8, 0xfc, 0xc6, 0xb4, 0xde, 0x99, 0x72, 0x39, 0x23, 0x33, 0x2d, 0x4c, 0x8f,
	0xcb, 0x15, 0xf4, 0x04, 0xda, 0x42, 0x66, 0x98, 0xc7, 0xea, 0xc0, 0xe8, 0x31, 0x05, 0x56, 0x8f,
	0xac, 0xb1, 0xe9, 0xc8, 0x1b, 0xe8, 0x31, 0xb4, 0x84, 0xde, 0x3a, 0x3c, 0xc4, 0x5a, 0x5f, 0x35,
	0x4c, 0xec, 0x18, 0x47, 0x3a, 0x4d, 0x6f, 0x33, 0x63, 0x31, 0x95, 0x55, 0x29, 0x19, 0x42, 0x36,
	0x7a, 0xa7, 0x0e, 0x71, 0x4f, 0x57, 0x7b, 0x03, 0xc3, 0xd4, 0xe5, 0x2d, 0xf4, 0x08, 0x1e, 0x0a,
	0xcd, 0x32, 0x76, 0x4d, 0x75, 0x0c, 0xcb, 0x94, 0x6b, 0xe8, 0x3e, 0xec, 0x0a, 0x1b, 0x99, 0xa4,
	0x00, 0x3d, 0x00, 0x34, 0x36, 0xf5, 0x6f, 0x87, 0xba, 0xe6, 0xe8, 0x3d, 0x4c, 0x8f, 0x8f, 0x6d,
	0x5d, 0xae, 0x2f, 0x08, 0xd0, 0x2c, 0xf3, 0xd0, 0xb0, 0x8f, 0xf4, 0x9e, 0xdc, 0xa0, 0x9e, 0xb5,
	0x81, 0xa1, 0x9b, 0x0e, 0x1e, 0xda, 0xfa, 0x50, 0x7d, 0x9f, 0x32, 0xda, 0xa4, 0x75, 0x15, 0x1a,
	0xc3, 0x3c, 0xb6, 0x0c, 0x4d, 0x4f, 0x55, 0xdb, 0x07, 0x3d, 0x90, 0x57, 0x6f, 0x3d, 0x65, 0x32,
	0x65, 0xed, 0x0e, 0x92, 0xa1, 0x21, 0xcc, 0xd9, 0xd6, 0xd8, 0xd1, 0x65, 0x89, 0xd6, 0x31, 0x35,
	0xc3, 0x45, 0xa5, 0x83, 0xff, 0x48, 0x70, 0xaf, 0xe8, 0x4e, 0xa3, 0x87, 0x70, 0x57, 0x04, 0x8d,
	0x6d, 0x5d, 0x1d, 0x59, 0x26, 0x36, 0x2d, 0x53, 0x97, 0xef, 0xd0, 0x7e, 0x5a, 0x51, 0xa4, 0x14,
	0x4a, 0x29, 0x51, 0xb9, 0x43, 0xa9, 0xab, 0x94, 0xdf, 0x8c, 0x52, 0xb7, 0x6d, 0xcb, 0x96, 0xcb,
	0xe8, 0xa7, 0xd0, 0x5d, 0xd1, 0x18, 0xa6, 0x66, 0xd9, 0xb6, 0xae, 0x39, 0x78, 0xa8, 0xbe, 0x3f,
	0xa2, 0xf9, 0xf7, 0x74, 0x47, 0x35, 0x06, 0x23, 0xb9, 0x82, 0x5e, 0xc0, 0xb3, 0x35, 0xf4, 0x68,
	0x7c, 0x78, 0x68, 0x68, 0x8c, 0xa8, 0x37, 0xea, 0x80, 0x52, 0x24, 0x6f, 0xbc, 0xfe, 0x53, 0x15,
	0x80, 0x35, 0x22, 0x6b, 0x49, 0x64, 0x41, 0x23, 0xb7, 0xc8, 0x2b, 0x2b, 0x23, 0xb8, 0xe0, 0x8f,
	0x44, 0xfb, 0xd1, 0x27, 0x30, 0xc8, 0x82, 0x6d, 0x93, 0x7c, 0xcc, 0x5c, 0x61, 0xb4, 0x5f, 0x0c,
	0x4f, 0xad, 0x3d, 0xb9, 0x4e, 0x2d, 0x9e, 0x91, 0x29, 0xdc, 0x2d, 0x78, 0x7a, 0xd1, 0x4f, 0x8a,
	0x8f, 0x15, 0xec, 0x08, 0xed, 0x83, 0x2f, 0x81, 0x0a, 0x6f, 0x4b, 0x3e, 0xf8, 0x5f, 0xcb, 0x6b,
	0xf8, 0xc8, 0x6e, 0xa7, 0xd7, 0xf1, 0xc1, 0x0d, 0x0c, 0xa0, 0x9e, 0x5d, 0x92, 0x9e, 0x16, 0x60,
	0xf3, 0x1b, 0x5a, 0xbb, 0x7d, 0x3d, 0x04, 0x0d, 0xa0, 0x29, 0xd8, 0x35, 0xd8, 0x4a, 0x85, 0x1e,
	0x17, 0x82, 0x53, 0x53, 0xfb, 0xd7, 0x68, 0x45, 0xb2, 0x4e, 0x1a, 0x1b, 0x0f, 0xb5, 0x38, 0xb6,
	0x5c, 0xaa, 0xca, 0xa7, 0x20, 0xc2, 0xea, 0x59, 0x66, 0x19, 0xca, 0xef, 0x23, 0xa8, 0xb3, 0x3c,
	0x5e, 0xbc, 0x2e, 0xb5, 0xbb, 0xeb, 0x88, 0xe2, 0x9d, 0xe6, 0x95, 0x84, 0x08, 0x3c, 0x28, 0x5e,
	0x41, 0xbe, 0xc0, 0xcf, 0x8b, 0x62, 0x3f, 0x6b, 0x5b, 0xcc, 0x2b, 0x09, 0xfd, 0x16, 0x76, 0xd7,
	0xde, 0xa5, 0x0c, 0x57, 0xd7, 0x3d, 0xd2, 0x19, 0xae, 0xae, 0x7d, 0xd6, 0x4e, 0x36, 0xd9, 0xa3,
	0xfc, 0xb3, 0xff, 0x07, 0x00, 0x00, 0xff, 0xff, 0xac, 0x6e, 0xf1, 0xeb, 0xc0, 0x13, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// SwapServerClient is the client API for SwapServer service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SwapServerClient interface {
	LoopOutTerms(ctx context.Context, in *ServerLoopOutTermsRequest, opts ...grpc.CallOption) (*ServerLoopOutTerms, error)
	NewLoopOutSwap(ctx context.Context, in *ServerLoopOutRequest, opts ...grpc.CallOption) (*ServerLoopOutResponse, error)
	LoopOutPushPreimage(ctx context.Context, in *ServerLoopOutPushPreimageRequest, opts ...grpc.CallOption) (*ServerLoopOutPushPreimageResponse, error)
	LoopOutQuote(ctx context.Context, in *ServerLoopOutQuoteRequest, opts ...grpc.CallOption) (*ServerLoopOutQuote, error)
	LoopInTerms(ctx context.Context, in *ServerLoopInTermsRequest, opts ...grpc.CallOption) (*ServerLoopInTerms, error)
	NewLoopInSwap(ctx context.Context, in *ServerLoopInRequest, opts ...grpc.CallOption) (*ServerLoopInResponse, error)
	LoopInQuote(ctx context.Context, in *ServerLoopInQuoteRequest, opts ...grpc.CallOption) (*ServerLoopInQuoteResponse, error)
	SubscribeLoopOutUpdates(ctx context.Context, in *SubscribeUpdatesRequest, opts ...grpc.CallOption) (SwapServer_SubscribeLoopOutUpdatesClient, error)
	SubscribeLoopInUpdates(ctx context.Context, in *SubscribeUpdatesRequest, opts ...grpc.CallOption) (SwapServer_SubscribeLoopInUpdatesClient, error)
	CancelLoopOutSwap(ctx context.Context, in *CancelLoopOutSwapRequest, opts ...grpc.CallOption) (*CancelLoopOutSwapResponse, error)
}

type swapServerClient struct {
	cc *grpc.ClientConn
}

func NewSwapServerClient(cc *grpc.ClientConn) SwapServerClient {
	return &swapServerClient{cc}
}

func (c *swapServerClient) LoopOutTerms(ctx context.Context, in *ServerLoopOutTermsRequest, opts ...grpc.CallOption) (*ServerLoopOutTerms, error) {
	out := new(ServerLoopOutTerms)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/LoopOutTerms", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) NewLoopOutSwap(ctx context.Context, in *ServerLoopOutRequest, opts ...grpc.CallOption) (*ServerLoopOutResponse, error) {
	out := new(ServerLoopOutResponse)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/NewLoopOutSwap", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) LoopOutPushPreimage(ctx context.Context, in *ServerLoopOutPushPreimageRequest, opts ...grpc.CallOption) (*ServerLoopOutPushPreimageResponse, error) {
	out := new(ServerLoopOutPushPreimageResponse)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/LoopOutPushPreimage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) LoopOutQuote(ctx context.Context, in *ServerLoopOutQuoteRequest, opts ...grpc.CallOption) (*ServerLoopOutQuote, error) {
	out := new(ServerLoopOutQuote)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/LoopOutQuote", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) LoopInTerms(ctx context.Context, in *ServerLoopInTermsRequest, opts ...grpc.CallOption) (*ServerLoopInTerms, error) {
	out := new(ServerLoopInTerms)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/LoopInTerms", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) NewLoopInSwap(ctx context.Context, in *ServerLoopInRequest, opts ...grpc.CallOption) (*ServerLoopInResponse, error) {
	out := new(ServerLoopInResponse)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/NewLoopInSwap", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) LoopInQuote(ctx context.Context, in *ServerLoopInQuoteRequest, opts ...grpc.CallOption) (*ServerLoopInQuoteResponse, error) {
	out := new(ServerLoopInQuoteResponse)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/LoopInQuote", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *swapServerClient) SubscribeLoopOutUpdates(ctx context.Context, in *SubscribeUpdatesRequest, opts ...grpc.CallOption) (SwapServer_SubscribeLoopOutUpdatesClient, error) {
	stream, err := c.cc.NewStream(ctx, &_SwapServer_serviceDesc.Streams[0], "/looprpc.SwapServer/SubscribeLoopOutUpdates", opts...)
	if err != nil {
		return nil, err
	}
	x := &swapServerSubscribeLoopOutUpdatesClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type SwapServer_SubscribeLoopOutUpdatesClient interface {
	Recv() (*SubscribeLoopOutUpdatesResponse, error)
	grpc.ClientStream
}

type swapServerSubscribeLoopOutUpdatesClient struct {
	grpc.ClientStream
}

func (x *swapServerSubscribeLoopOutUpdatesClient) Recv() (*SubscribeLoopOutUpdatesResponse, error) {
	m := new(SubscribeLoopOutUpdatesResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *swapServerClient) SubscribeLoopInUpdates(ctx context.Context, in *SubscribeUpdatesRequest, opts ...grpc.CallOption) (SwapServer_SubscribeLoopInUpdatesClient, error) {
	stream, err := c.cc.NewStream(ctx, &_SwapServer_serviceDesc.Streams[1], "/looprpc.SwapServer/SubscribeLoopInUpdates", opts...)
	if err != nil {
		return nil, err
	}
	x := &swapServerSubscribeLoopInUpdatesClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type SwapServer_SubscribeLoopInUpdatesClient interface {
	Recv() (*SubscribeLoopInUpdatesResponse, error)
	grpc.ClientStream
}

type swapServerSubscribeLoopInUpdatesClient struct {
	grpc.ClientStream
}

func (x *swapServerSubscribeLoopInUpdatesClient) Recv() (*SubscribeLoopInUpdatesResponse, error) {
	m := new(SubscribeLoopInUpdatesResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *swapServerClient) CancelLoopOutSwap(ctx context.Context, in *CancelLoopOutSwapRequest, opts ...grpc.CallOption) (*CancelLoopOutSwapResponse, error) {
	out := new(CancelLoopOutSwapResponse)
	err := c.cc.Invoke(ctx, "/looprpc.SwapServer/CancelLoopOutSwap", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SwapServerServer is the server API for SwapServer service.
type SwapServerServer interface {
	LoopOutTerms(context.Context, *ServerLoopOutTermsRequest) (*ServerLoopOutTerms, error)
	NewLoopOutSwap(context.Context, *ServerLoopOutRequest) (*ServerLoopOutResponse, error)
	LoopOutPushPreimage(context.Context, *ServerLoopOutPushPreimageRequest) (*ServerLoopOutPushPreimageResponse, error)
	LoopOutQuote(context.Context, *ServerLoopOutQuoteRequest) (*ServerLoopOutQuote, error)
	LoopInTerms(context.Context, *ServerLoopInTermsRequest) (*ServerLoopInTerms, error)
	NewLoopInSwap(context.Context, *ServerLoopInRequest) (*ServerLoopInResponse, error)
	LoopInQuote(context.Context, *ServerLoopInQuoteRequest) (*ServerLoopInQuoteResponse, error)
	SubscribeLoopOutUpdates(*SubscribeUpdatesRequest, SwapServer_SubscribeLoopOutUpdatesServer) error
	SubscribeLoopInUpdates(*SubscribeUpdatesRequest, SwapServer_SubscribeLoopInUpdatesServer) error
	CancelLoopOutSwap(context.Context, *CancelLoopOutSwapRequest) (*CancelLoopOutSwapResponse, error)
}

// UnimplementedSwapServerServer can be embedded to have forward compatible implementations.
type UnimplementedSwapServerServer struct {
}

func (*UnimplementedSwapServerServer) LoopOutTerms(ctx context.Context, req *ServerLoopOutTermsRequest) (*ServerLoopOutTerms, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoopOutTerms not implemented")
}
func (*UnimplementedSwapServerServer) NewLoopOutSwap(ctx context.Context, req *ServerLoopOutRequest) (*ServerLoopOutResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewLoopOutSwap not implemented")
}
func (*UnimplementedSwapServerServer) LoopOutPushPreimage(ctx context.Context, req *ServerLoopOutPushPreimageRequest) (*ServerLoopOutPushPreimageResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoopOutPushPreimage not implemented")
}
func (*UnimplementedSwapServerServer) LoopOutQuote(ctx context.Context, req *ServerLoopOutQuoteRequest) (*ServerLoopOutQuote, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoopOutQuote not implemented")
}
func (*UnimplementedSwapServerServer) LoopInTerms(ctx context.Context, req *ServerLoopInTermsRequest) (*ServerLoopInTerms, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoopInTerms not implemented")
}
func (*UnimplementedSwapServerServer) NewLoopInSwap(ctx context.Context, req *ServerLoopInRequest) (*ServerLoopInResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewLoopInSwap not implemented")
}
func (*UnimplementedSwapServerServer) LoopInQuote(ctx context.Context, req *ServerLoopInQuoteRequest) (*ServerLoopInQuoteResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoopInQuote not implemented")
}
func (*UnimplementedSwapServerServer) SubscribeLoopOutUpdates(req *SubscribeUpdatesRequest, srv SwapServer_SubscribeLoopOutUpdatesServer) error {
	return status.Errorf(codes.Unimplemented, "method SubscribeLoopOutUpdates not implemented")
}
func (*UnimplementedSwapServerServer) SubscribeLoopInUpdates(req *SubscribeUpdatesRequest, srv SwapServer_SubscribeLoopInUpdatesServer) error {
	return status.Errorf(codes.Unimplemented, "method SubscribeLoopInUpdates not implemented")
}
func (*UnimplementedSwapServerServer) CancelLoopOutSwap(ctx context.Context, req *CancelLoopOutSwapRequest) (*CancelLoopOutSwapResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelLoopOutSwap not implemented")
}

func RegisterSwapServerServer(s *grpc.Server, srv SwapServerServer) {
	s.RegisterService(&_SwapServer_serviceDesc, srv)
}

func _SwapServer_LoopOutTerms_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopOutTermsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).LoopOutTerms(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/LoopOutTerms",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).LoopOutTerms(ctx, req.(*ServerLoopOutTermsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_NewLoopOutSwap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopOutRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).NewLoopOutSwap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/NewLoopOutSwap",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).NewLoopOutSwap(ctx, req.(*ServerLoopOutRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_LoopOutPushPreimage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopOutPushPreimageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).LoopOutPushPreimage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/LoopOutPushPreimage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).LoopOutPushPreimage(ctx, req.(*ServerLoopOutPushPreimageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_LoopOutQuote_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopOutQuoteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).LoopOutQuote(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/LoopOutQuote",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).LoopOutQuote(ctx, req.(*ServerLoopOutQuoteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_LoopInTerms_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopInTermsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).LoopInTerms(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/LoopInTerms",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).LoopInTerms(ctx, req.(*ServerLoopInTermsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_NewLoopInSwap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopInRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).NewLoopInSwap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/NewLoopInSwap",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).NewLoopInSwap(ctx, req.(*ServerLoopInRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_LoopInQuote_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServerLoopInQuoteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).LoopInQuote(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/LoopInQuote",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).LoopInQuote(ctx, req.(*ServerLoopInQuoteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SwapServer_SubscribeLoopOutUpdates_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(SubscribeUpdatesRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(SwapServerServer).SubscribeLoopOutUpdates(m, &swapServerSubscribeLoopOutUpdatesServer{stream})
}

type SwapServer_SubscribeLoopOutUpdatesServer interface {
	Send(*SubscribeLoopOutUpdatesResponse) error
	grpc.ServerStream
}

type swapServerSubscribeLoopOutUpdatesServer struct {
	grpc.ServerStream
}

func (x *swapServerSubscribeLoopOutUpdatesServer) Send(m *SubscribeLoopOutUpdatesResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _SwapServer_SubscribeLoopInUpdates_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(SubscribeUpdatesRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(SwapServerServer).SubscribeLoopInUpdates(m, &swapServerSubscribeLoopInUpdatesServer{stream})
}

type SwapServer_SubscribeLoopInUpdatesServer interface {
	Send(*SubscribeLoopInUpdatesResponse) error
	grpc.ServerStream
}

type swapServerSubscribeLoopInUpdatesServer struct {
	grpc.ServerStream
}

func (x *swapServerSubscribeLoopInUpdatesServer) Send(m *SubscribeLoopInUpdatesResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _SwapServer_CancelLoopOutSwap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelLoopOutSwapRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SwapServerServer).CancelLoopOutSwap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/looprpc.SwapServer/CancelLoopOutSwap",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SwapServerServer).CancelLoopOutSwap(ctx, req.(*CancelLoopOutSwapRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _SwapServer_serviceDesc = grpc.ServiceDesc{
	ServiceName: "looprpc.SwapServer",
	HandlerType: (*SwapServerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "LoopOutTerms",
			Handler:    _SwapServer_LoopOutTerms_Handler,
		},
		{
			MethodName: "NewLoopOutSwap",
			Handler:    _SwapServer_NewLoopOutSwap_Handler,
		},
		{
			MethodName: "LoopOutPushPreimage",
			Handler:    _SwapServer_LoopOutPushPreimage_Handler,
		},
		{
			MethodName: "LoopOutQuote",
			Handler:    _SwapServer_LoopOutQuote_Handler,
		},
		{
			MethodName: "LoopInTerms",
			Handler:    _SwapServer_LoopInTerms_Handler,
		},
		{
			MethodName: "NewLoopInSwap",
			Handler:    _SwapServer_NewLoopInSwap_Handler,
		},
		{
			MethodName: "LoopInQuote",
			Handler:    _SwapServer_LoopInQuote_Handler,
		},
		{
			MethodName: "CancelLoopOutSwap",
			Handler:    _SwapServer_CancelLoopOutSwap_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SubscribeLoopOutUpdates",
			Handler:       _SwapServer_SubscribeLoopOutUpdates_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "SubscribeLoopInUpdates",
			Handler:       _SwapServer_SubscribeLoopInUpdates_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "server.proto",
}
